<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://example.com
 * @since      1.2.0
 *
 * @package    Mailup
 * @subpackage Mailup/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.2.0
 * @package    Mailup
 * @subpackage Mailup/includes
 * @author     Your Name <email@example.com>
 */
class Mailup_i18n
{
    /**
     * Load the plugin text domain for translation.
     *
     * @since    1.2.0
     */
    public function load_plugin_textdomain()
    {
        $path = WPMUP_PLUGIN_NAME . '/languages';
        $result = load_plugin_textdomain(
            'mailup',
            false,
            $path
        );

        if (!$result) {
            $locale = apply_filters('plugin_locale', get_user_locale(), $path);
        }
    }

    public static function getLanguage()
    {
        $locale = is_admin() ? get_user_locale() : get_locale();
        return explode('_', $locale)[0] != 'en'? explode('_', $locale)[0] : null;
    }
}