<?php
/**
 * Our main filter widget
 *
 *
 * @package    Mailup_Widget
 * @subpackage Mailup_Widget/widget
 * @author
 */
class Mailup_Widget extends WP_Widget
{
    public function __construct()
    {
        parent::__construct(
            'mailup-widget',
            'MailUp Widget',
            array(
                'description' => __('Add a MailUp Form to the sidebar', 'mailup')
            )
        );
    }

    public function form($instance)
    {
        ?>
<p></p>
<?php
    }

    public function update($new_instance, $old_instance)
    {
        // processes widget options to be saved
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    public function register_inline($style)
    {
        wp_register_style('mupwp-inline-style', false, array( Mailup::MAILUP_NAME() ));
        wp_enqueue_style('mupwp-inline-style');
        wp_add_inline_style('mupwp-inline-style', $style);
    }

    public function widget($args, $instance)
    {
        $model = new Mailup_Model(Mailup::MAILUP_NAME());
        $form = $model->get_fe_form();
        // outputs the content of the widget
        if ($model->has_tokens() && $form) {
            extract($args);
            $title = apply_filters('widget_title', $instance['title']);
            echo $before_widget;
            ob_start();
            $this->register_inline($form->custom_css);
            include(plugin_dir_path(dirname(__FILE__)) .'public/partials/mailup-public-display.php');
            echo ob_get_clean();

            echo $after_widget;
        }
    }
}